<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>

<HEAD>

<TITLE>Test</TITLE>
<META CONTENT="text/testperl; CGI='$REMOTE_ADDR $REMOTE_HOST $CGI_Date'">


</HEAD>

<BODY>
<p><SCRIPT TYPE="text/ssperl">
$REMOTE_HOST = SAFEqx("host $REMOTE_ADDR");
$REMOTE_HOST =~ m!Name:\s+(\w+)!s;
$REMOTE_HOST = $1 ? $1 : $REMOTE_ADDR;
"";
</script></p>

<h2>Start All</h2>

<p><SCRIPT TYPE="text/testperl">
print "Perl says: Hello $REMOTE_HOST\n";"";
</script></p>

<p><SCRIPT TYPE='text/sspython'>
print "Python says: Hello", REMOTE_HOST, "\n";
</script></p>

<p><SCRIPT TYPE='text/ssruby'>
print "Ruby says: Hello ", @REMOTE_HOST, "\n";
</script></p>

<p><%= print "Ruby Rails says: Hello ", @REMOTE_HOST, "\n"; %></p>

<p><SCRIPT TYPE='text/sstcl'>
puts -nonewline "TCL says: Hello ";
puts $REMOTE_HOST;
</script></p>

<p><SCRIPT TYPE='text/sslisp'>
(princ (concat "Lisp (rep) says: Hello " REMOTE_HOST) standard-output)
</script></p>

<p><SCRIPT TYPE='text/xlispstat'>
(print "Xlispstat says: Hello " *standard-output*)
(print REMOTE_HOST *standard-output*)
</script></p>

<p><SCRIPT TYPE='text/ssprolog'>
write('Prolog says: Hello $REMOTE_HOST').
</script></p>

<p><SCRIPT TYPE='text/ssm4'>
M4 says: Hello " REMOTE_HOST
</script></p>

<p><SCRIPT TYPE='text/bash'>
echo "Bash says: Hello $REMOTE_HOST"
</script></p>

<p><SCRIPT TYPE='text/sspraat'>
printline Praat says: Hello $REMOTE_HOST
</script></p>

<p><SCRIPT TYPE='text/ssawk'>
print "Awk says: Hello ", REMOTE_HOST;
</script></p>

<p><SCRIPT TYPE='text/ssr'>
cat("R says: Hello ", REMOTE_HOST, "\n");
</script></p>

<p><SCRIPT TYPE='text/ssrebol'>
print append "REBOL says: Hello " REMOTE_HOST
</script></p>

<p><SCRIPT TYPE='text/postgresql'>
\\! echo 'PostgreSQL says: Hello $REMOTE_HOST'
</script></p>

<SCRIPT TYPE='text/ssdisplay'>
<PRE>
<h3>Display $REMOTE_HOST ($REMOTE_ADDR) on screen on $CGI_Date</h3>
</PRE>
</script>


<h2>Ready</h2>

</BODY>

</HTML>
